Page MenuHomePhabricator

[lldb-vscode] Make it possible to run vsce package
ClosedPublic

Authored by rmaz on May 26 2020, 8:46 AM.

Details

Summary

Running vsce package to package lldb-vscode as an installable .vsix file errors with:

ERROR  Invalid publisher name 'llvm.org'. Expected the identifier of a publisher, not its human-friendly name.

This patch fixes the publisher name and bumps a required dependency so that vsce package succeeds.

Diff Detail

Event Timeline

rmaz created this revision.May 26 2020, 8:46 AM
rmaz added a project: Restricted Project.
clayborg added inline comments.May 26 2020, 5:46 PM
lldb/tools/lldb-vscode/package.json
32

is the '^' character meant to be in here?

rmaz marked an inline comment as done.May 26 2020, 7:31 PM
rmaz added inline comments.
lldb/tools/lldb-vscode/package.json
32

Doesn't need to be, indicates to npm install that minor and patch updates versions can be used instead of pinning to a specific version (ie >= 1.36.3 and < 2.0.0).

https://docs.npmjs.com/misc/semver#caret-ranges-123-025-004

Fine with either, but would require more frequent patches if the specific version number is pinned.

clayborg accepted this revision.May 27 2020, 3:11 PM
This revision is now accepted and ready to land.May 27 2020, 3:11 PM
rmaz added a comment.May 28 2020, 8:12 AM

Super. How do I get this landed now, does someone have to commit it manually or does closing the diff take care of it?

I can land it for you.

clayborg closed this revision.May 28 2020, 1:34 PM

commit 81b79011a77f97798236af6d716e5d352790d54b (HEAD -> master, origin/master, origin/HEAD)
Author: Greg Clayton <gclayton@fb.com>
Date: Thu May 28 13:29:48 2020 -0700

[lldb-vscode] Make it possible to run vsce package

Summary:
Running `vsce package` to package lldb-vscode as an installable .vsix file errors with:

```
ERROR  Invalid publisher name 'llvm.org'. Expected the identifier of a publisher, not its human-friendly name.
```

This patch fixes the publisher name and bumps a required dependency so that `vsce package` succeeds.

Reviewers: clayborg

Reviewed By: clayborg

Tags: #lldb

Differential Revision: https://reviews.llvm.org/D80569